Subject: Re: [RFC PATCH] fsldma: Add DMA_SLAVE support

From: Dan Williams <[email-masked]>
Date: Thu, 18 Jun 2009 14:36:25 -0700

Ira Snyder wrote:
> So, I see a couple of ways of moving forward:
> 1) Keep my implementation, moving the includes to arch/powerpc/include.
>    Do we drop the allocation functions?

+1 for option 1.  Having it under arch/powerpc/include makes it clear 
that it is a powerpc specific api, so keep the allocation routines. 
Copy Kumar on the updated patch as I'll need a ppc-dev ack for carrying 
this file addition through the dmaengine tree.

> Thanks for all the input Dan. I finally feel like we're getting
> somewhere :)

Thanks for the exchange it always helps to get a good picture of the 
underlying design rationale.

Regards,
Dan